classification
Title: Improve documenation about num_params in sqlite3 create_function and create_aggregate
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.6, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: berker.peksag, ced, docs@python, ghaering, python-dev
Priority: normal Keywords: patch

Created on 2015-03-24 09:44 by ced, last changed 2016-03-27 19:39 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
sqlite3_doc.patch ced, 2015-03-24 09:44 review
Messages (3)
msg239104 - (view) Author: Cédric Krier (ced) * Date: 2015-03-24 09:44
num_params must have the value -1 for any number of arguments see https://www.sqlite.org/c3ref/create_function.html
msg262531 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-03-27 19:37
New changeset 02efd708c5c0 by Berker Peksag in branch '3.5':
Issue #23758: Improve num_params docs of create_{function,aggregate} functions
https://hg.python.org/cpython/rev/02efd708c5c0

New changeset 5be12f20d8f2 by Berker Peksag in branch 'default':
Issue #23758: Improve num_params docs of create_{function,aggregate} functions
https://hg.python.org/cpython/rev/5be12f20d8f2
msg262532 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2016-03-27 19:39
Thank you Cédric. I also added tests to verify the behavior of num_params=-1.
History
Date User Action Args
2016-03-27 19:39:33berker.peksagsetstatus: open -> closed
versions: + Python 3.6, - Python 3.4
messages: + msg262532

resolution: fixed
stage: patch review -> resolved
2016-03-27 19:37:49python-devsetnosy: + python-dev
messages: + msg262531
2015-03-30 00:36:46berker.peksagsetnosy: + ghaering, berker.peksag
stage: patch review

versions: + Python 3.4, Python 3.5
2015-03-24 09:44:55cedcreate